User avatar
sakaki
Posts: 415
Joined: Sun Jul 16, 2017 1:11 pm

Re: mmlpi - Minecraft Launcher for Raspberry Pi. Versions 1.0 - 1.14 (+ OptiFine, Forge)

Tue Aug 20, 2019 6:39 pm

rpiMike wrote:
Tue Aug 20, 2019 4:16 pm
I've got 1.14.4 + Optifine working on my Pi4 4GB with the latest Gentoo 64bit and the lwjgl3 files that I linked.
rpiMike wrote:
Tue Aug 20, 2019 5:57 pm
...
https://youtu.be/Jd6PAe5c4P4
Nice work!
Best, sakaki

Marekkon5
Posts: 31
Joined: Mon Sep 28, 2015 5:18 pm

Re: mmlpi - Minecraft Launcher for Raspberry Pi. Versions 1.0 - 1.12+ (+ OptiFine, Forge)

Wed Aug 21, 2019 5:29 pm

I updated the launcher. Added GUI, Most LWJGL2 Versions should work now, Launch Script export option, Oracle Java.

Golden_cookie
Posts: 13
Joined: Sun Sep 08, 2019 12:55 am

Re: mmlpi - Minecraft Launcher for Raspberry Pi. Versions 1.0 - 1.12+ (+ OptiFine, Forge)

Sun Sep 08, 2019 1:02 am

Can someone please help me, i dont know what i did wrong. I installed the launcher on my RPi4 4gb and when i try to run any version it gives me this error:

Code: Select all

Please Wait...
Missing Library: org.lwjgl.lwjgl:lwjgl-platform:2.9.0
In cases of -platform libraries this can be ignored.
Missing Library: org.lwjgl.lwjgl:lwjgl-platform:2.9.1-nightly-20130708-debug3
In cases of -platform libraries this can be ignored.
Missing Library: net.java.jinput:jinput-platform:2.0.5
In cases of -platform libraries this can be ignored.
Missing Library: net.java.jinput:jinput-platform:2.0.5
In cases of -platform libraries this can be ignored.
OpenJDK Server VM warning: Option UseConcMarkSweepGC was deprecated in version 9.0 and will likely be removed in a future release.
Unrecognized VM option 'CMSIncrementalMode'
Error: Could not create the Java Virtual Machine.
Error: A fatal exception has occurred. Program will exit.
the installation went smoothly but when i try to run, no luck. im running raspbian installed from NOOBS.

Golden_cookie
Posts: 13
Joined: Sun Sep 08, 2019 12:55 am

Re: mmlpi - Minecraft Launcher for Raspberry Pi. Versions 1.0 - 1.12+ (+ OptiFine, Forge)

Sun Sep 08, 2019 5:36 pm

Can somebody make a video tutorial on this? i keep getting "Missing Dependencies" errors and i don't know how to fix them.

Marekkon5
Posts: 31
Joined: Mon Sep 28, 2015 5:18 pm

Re: mmlpi - Minecraft Launcher for Raspberry Pi. Versions 1.0 - 1.12+ (+ OptiFine, Forge)

Sun Sep 08, 2019 6:21 pm

Hello. Which version of Minecraft are you trying to run? Could you also please post your java version. Thank you.

Code: Select all

java -version





Golden_cookie wrote:
Sun Sep 08, 2019 1:02 am
Can someone please help me, i dont know what i did wrong. I installed the launcher on my RPi4 4gb and when i try to run any version it gives me this error:

Code: Select all

Please Wait...
Missing Library: org.lwjgl.lwjgl:lwjgl-platform:2.9.0
In cases of -platform libraries this can be ignored.
Missing Library: org.lwjgl.lwjgl:lwjgl-platform:2.9.1-nightly-20130708-debug3
In cases of -platform libraries this can be ignored.
Missing Library: net.java.jinput:jinput-platform:2.0.5
In cases of -platform libraries this can be ignored.
Missing Library: net.java.jinput:jinput-platform:2.0.5
In cases of -platform libraries this can be ignored.
OpenJDK Server VM warning: Option UseConcMarkSweepGC was deprecated in version 9.0 and will likely be removed in a future release.
Unrecognized VM option 'CMSIncrementalMode'
Error: Could not create the Java Virtual Machine.
Error: A fatal exception has occurred. Program will exit.
the installation went smoothly but when i try to run, no luck. im running raspbian installed from NOOBS.

jdonald
Posts: 417
Joined: Fri Nov 03, 2017 4:36 pm

Re: mmlpi - Minecraft Launcher for Raspberry Pi. Versions 1.0 - 1.12+ (+ OptiFine, Forge)

Sun Sep 08, 2019 6:30 pm

Looks like Oracle Java didn’t install:

Code: Select all

OpenJDK Server VM warning: Option UseConcMarkSweepGC was deprecated in version 9.0 and will likely be removed in a future release.
Unrecognized VM option 'CMSIncrementalMode'

Marekkon5
Posts: 31
Joined: Mon Sep 28, 2015 5:18 pm

Re: mmlpi - Minecraft Launcher for Raspberry Pi. Versions 1.0 - 1.12+ (+ OptiFine, Forge)

Sun Sep 08, 2019 6:33 pm

Seems like it. The install script wont install Oracle Java if Java already is installed. It can be force-installed by running:

Code: Select all

cd mmlpi
sudo bash installJava.sh arm32
jdonald wrote:
Sun Sep 08, 2019 6:30 pm
Looks like Oracle Java didn’t install:

Code: Select all

OpenJDK Server VM warning: Option UseConcMarkSweepGC was deprecated in version 9.0 and will likely be removed in a future release.
Unrecognized VM option 'CMSIncrementalMode'

Golden_cookie
Posts: 13
Joined: Sun Sep 08, 2019 12:55 am

Re: mmlpi - Minecraft Launcher for Raspberry Pi. Versions 1.0 - 1.12+ (+ OptiFine, Forge)

Mon Sep 09, 2019 2:21 am

I figured it out. I uninstalled OpenJDK and Oracle Java. Then i just reinstalled only Oracle java (I thought i needed both, sorry for my stupidity) and it worked fine! Im actually suprised that the pi can run minecraft so well.
Marekkon5 wrote:
Sun Sep 08, 2019 6:21 pm
Hello. Which version of Minecraft are you trying to run? Could you also please post your java version. Thank you.

Code: Select all

java -version





Golden_cookie wrote:
Sun Sep 08, 2019 1:02 am
Can someone please help me, i dont know what i did wrong. I installed the launcher on my RPi4 4gb and when i try to run any version it gives me this error:

Code: Select all

Please Wait...
Missing Library: org.lwjgl.lwjgl:lwjgl-platform:2.9.0
In cases of -platform libraries this can be ignored.
Missing Library: org.lwjgl.lwjgl:lwjgl-platform:2.9.1-nightly-20130708-debug3
In cases of -platform libraries this can be ignored.
Missing Library: net.java.jinput:jinput-platform:2.0.5
In cases of -platform libraries this can be ignored.
Missing Library: net.java.jinput:jinput-platform:2.0.5
In cases of -platform libraries this can be ignored.
OpenJDK Server VM warning: Option UseConcMarkSweepGC was deprecated in version 9.0 and will likely be removed in a future release.
Unrecognized VM option 'CMSIncrementalMode'
Error: Could not create the Java Virtual Machine.
Error: A fatal exception has occurred. Program will exit.
the installation went smoothly but when i try to run, no luck. im running raspbian installed from NOOBS.

Golden_cookie
Posts: 13
Joined: Sun Sep 08, 2019 12:55 am

Re: mmlpi - Minecraft Launcher for Raspberry Pi. Versions 1.0 - 1.12+ (+ OptiFine, Forge)

Sun Sep 29, 2019 9:58 pm

Can someone please help?
i have installed mmlpi on my raspberry pi 4 4gb running gentoo(64 bit)
when i try to run the python script through terminal it spewes out this error:

Code: Select all

Traceback (most recent call last):
  File "mmlpi.py", line 1, in <module>
    import mmlpiGUI
  File "/home/demouser/mmlpi/mmlpiGUI.py", line 10, in <module>
    import mmlpiCore
  File "/home/demouser/mmlpi/mmlpiCore.py", line 11, in <module>
    import cli_ui
ModuleNotFoundError: No module named 'cli_ui'
i dont have anything installed except for mmlpi
help would be appreciated :)

jdonald
Posts: 417
Joined: Fri Nov 03, 2017 4:36 pm

Re: mmlpi - Minecraft Launcher for Raspberry Pi. Versions 1.0 - 1.12+ (+ OptiFine, Forge)

Sun Sep 29, 2019 10:38 pm

Maybe localInstall.sh didn't actually complete? It should run pip3 to install everything listed in requirements.txt, including cli_ui.

You can try running it again and watch for errors. Ideally these scripts should be written with set -e so that errors can be caught early.

Edit: This launcher uses APT and thus it's explicitly targeting Debian/Ubuntu-based distros. You'd have to clean it up quite a bit to make it run smoothly on Gentoo.

Golden_cookie
Posts: 13
Joined: Sun Sep 08, 2019 12:55 am

Re: mmlpi - Minecraft Launcher for Raspberry Pi. Versions 1.0 - 1.12+ (+ OptiFine, Forge)

Sun Sep 29, 2019 10:44 pm

jdonald wrote:
Sun Sep 29, 2019 10:38 pm
Maybe localInstall.sh didn't actually complete? It should run pip3 to install everything listed in requirements.txt, including cli_ui.

You can try running it again and watch for errors. Ideally these scripts should be written with set -e so that errors can be caught early.

Edit: This launcher uses APT and thus it's explicitly targeting Debian/Ubuntu-based distros. You'd have to clean it up quite a bit to make it run smoothly on Gentoo.
Can you please tell me what to do so i can make it work on gentoo?
also, this is what happened during install:

Code: Select all

 % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100   361  100   361    0     0    989      0 --:--:-- --:--:-- --:--:--  1071
====================
Running apt update
====================
* apt is not available for icedtea-8 on aarch64
* IMPORTANT: some Java tools are not available on some VMs on some architectures
====================
Installing Git
====================
* apt is not available for icedtea-8 on aarch64
* IMPORTANT: some Java tools are not available on some VMs on some architectures
====================
Clonning Repo...
====================
Cloning into 'mmlpi'...
remote: Enumerating objects: 54, done.
remote: Counting objects: 100% (54/54), done.
remote: Compressing objects: 100% (43/43), done.
Unpacking objects:  62% (34/54)
 remote: Total 54 (delta 20), reused 45 (delta 11), pack-reused 0
Unpacking objects: 100% (54/54), done.
====================
Installing Dependencies
====================
* apt is not available for icedtea-8 on aarch64
* IMPORTANT: some Java tools are not available on some VMs on some architectures
* apt is not available for icedtea-8 on aarch64
* IMPORTANT: some Java tools are not available on some VMs on some architectures
 ERROR: (Gentoo) Please run pip with the --user option to avoid breaking python-exec
ERROR: (Gentoo) Please run pip with the --user option to avoid breaking python-exec
====================
Installing Java
====================
Java Already Installed!
====================
Creating Shortcut
====================
localInstall.sh: line 20: /root/Desktop/mmlpi.desktop: No such file or directory
localInstall.sh: line 21: /root/Desktop/mmlpi.desktop: No such file or directory
localInstall.sh: line 22: /root/Desktop/mmlpi.desktop: No such file or directory
localInstall.sh: line 23: /root/Desktop/mmlpi.desktop: No such file or directory
localInstall.sh: line 24: /root/Desktop/mmlpi.desktop: No such file or directory
localInstall.sh: line 25: /root/Desktop/mmlpi.desktop: No such file or directory
localInstall.sh: line 26: /root/Desktop/mmlpi.desktop: No such file or directory
localInstall.sh: line 27: /root/Desktop/mmlpi.desktop: No such file or directory
localInstall.sh: line 28: /root/Desktop/mmlpi.desktop: No such file or directory
chmod: cannot access '/root/Desktop/mmlpi.desktop': No such file or directory
====================
Permissions...
====================
====================
Done!
Start with Desktop Shortcut or
cd mmlpi
python3 mmlpi.py

Marekkon5
Posts: 31
Joined: Mon Sep 28, 2015 5:18 pm

Re: mmlpi - Minecraft Launcher for Raspberry Pi. Versions 1.0 - 1.12+ (+ OptiFine, Forge)

Tue Oct 01, 2019 4:49 am

Try running

Code: Select all

sudo python3 -m pip install -r requirements.txt
I will clean up the code and make it work on Gentoo later.

Golden_cookie wrote:
Sun Sep 29, 2019 10:44 pm
jdonald wrote:
Sun Sep 29, 2019 10:38 pm
Maybe localInstall.sh didn't actually complete? It should run pip3 to install everything listed in requirements.txt, including cli_ui.

You can try running it again and watch for errors. Ideally these scripts should be written with set -e so that errors can be caught early.

Edit: This launcher uses APT and thus it's explicitly targeting Debian/Ubuntu-based distros. You'd have to clean it up quite a bit to make it run smoothly on Gentoo.
Can you please tell me what to do so i can make it work on gentoo?
also, this is what happened during install:

Code: Select all

 % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100   361  100   361    0     0    989      0 --:--:-- --:--:-- --:--:--  1071
====================
Running apt update
====================
* apt is not available for icedtea-8 on aarch64
* IMPORTANT: some Java tools are not available on some VMs on some architectures
====================
Installing Git
====================
* apt is not available for icedtea-8 on aarch64
* IMPORTANT: some Java tools are not available on some VMs on some architectures
====================
Clonning Repo...
====================
Cloning into 'mmlpi'...
remote: Enumerating objects: 54, done.
remote: Counting objects: 100% (54/54), done.
remote: Compressing objects: 100% (43/43), done.
Unpacking objects:  62% (34/54)
 remote: Total 54 (delta 20), reused 45 (delta 11), pack-reused 0
Unpacking objects: 100% (54/54), done.
====================
Installing Dependencies
====================
* apt is not available for icedtea-8 on aarch64
* IMPORTANT: some Java tools are not available on some VMs on some architectures
* apt is not available for icedtea-8 on aarch64
* IMPORTANT: some Java tools are not available on some VMs on some architectures
 ERROR: (Gentoo) Please run pip with the --user option to avoid breaking python-exec
ERROR: (Gentoo) Please run pip with the --user option to avoid breaking python-exec
====================
Installing Java
====================
Java Already Installed!
====================
Creating Shortcut
====================
localInstall.sh: line 20: /root/Desktop/mmlpi.desktop: No such file or directory
localInstall.sh: line 21: /root/Desktop/mmlpi.desktop: No such file or directory
localInstall.sh: line 22: /root/Desktop/mmlpi.desktop: No such file or directory
localInstall.sh: line 23: /root/Desktop/mmlpi.desktop: No such file or directory
localInstall.sh: line 24: /root/Desktop/mmlpi.desktop: No such file or directory
localInstall.sh: line 25: /root/Desktop/mmlpi.desktop: No such file or directory
localInstall.sh: line 26: /root/Desktop/mmlpi.desktop: No such file or directory
localInstall.sh: line 27: /root/Desktop/mmlpi.desktop: No such file or directory
localInstall.sh: line 28: /root/Desktop/mmlpi.desktop: No such file or directory
chmod: cannot access '/root/Desktop/mmlpi.desktop': No such file or directory
====================
Permissions...
====================
====================
Done!
Start with Desktop Shortcut or
cd mmlpi
python3 mmlpi.py

Golden_cookie
Posts: 13
Joined: Sun Sep 08, 2019 12:55 am

Re: mmlpi - Minecraft Launcher for Raspberry Pi. Versions 1.0 - 1.12+ (+ OptiFine, Forge)

Wed Oct 02, 2019 12:48 am

Marekkon5 wrote:
Tue Oct 01, 2019 4:49 am
Try running

Code: Select all

sudo python3 -m pip install -r requirements.txt
I will clean up the code and make it work on Gentoo later.

Golden_cookie wrote:
Sun Sep 29, 2019 10:44 pm
jdonald wrote:
Sun Sep 29, 2019 10:38 pm
Maybe localInstall.sh didn't actually complete? It should run pip3 to install everything listed in requirements.txt, including cli_ui.

You can try running it again and watch for errors. Ideally these scripts should be written with set -e so that errors can be caught early.

Edit: This launcher uses APT and thus it's explicitly targeting Debian/Ubuntu-based distros. You'd have to clean it up quite a bit to make it run smoothly on Gentoo.
Can you please tell me what to do so i can make it work on gentoo?
also, this is what happened during install:

Code: Select all

 % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100   361  100   361    0     0    989      0 --:--:-- --:--:-- --:--:--  1071
====================
Running apt update
====================
* apt is not available for icedtea-8 on aarch64
* IMPORTANT: some Java tools are not available on some VMs on some architectures
====================
Installing Git
====================
* apt is not available for icedtea-8 on aarch64
* IMPORTANT: some Java tools are not available on some VMs on some architectures
====================
Clonning Repo...
====================
Cloning into 'mmlpi'...
remote: Enumerating objects: 54, done.
remote: Counting objects: 100% (54/54), done.
remote: Compressing objects: 100% (43/43), done.
Unpacking objects:  62% (34/54)
 remote: Total 54 (delta 20), reused 45 (delta 11), pack-reused 0
Unpacking objects: 100% (54/54), done.
====================
Installing Dependencies
====================
* apt is not available for icedtea-8 on aarch64
* IMPORTANT: some Java tools are not available on some VMs on some architectures
* apt is not available for icedtea-8 on aarch64
* IMPORTANT: some Java tools are not available on some VMs on some architectures
 ERROR: (Gentoo) Please run pip with the --user option to avoid breaking python-exec
ERROR: (Gentoo) Please run pip with the --user option to avoid breaking python-exec
====================
Installing Java
====================
Java Already Installed!
====================
Creating Shortcut
====================
localInstall.sh: line 20: /root/Desktop/mmlpi.desktop: No such file or directory
localInstall.sh: line 21: /root/Desktop/mmlpi.desktop: No such file or directory
localInstall.sh: line 22: /root/Desktop/mmlpi.desktop: No such file or directory
localInstall.sh: line 23: /root/Desktop/mmlpi.desktop: No such file or directory
localInstall.sh: line 24: /root/Desktop/mmlpi.desktop: No such file or directory
localInstall.sh: line 25: /root/Desktop/mmlpi.desktop: No such file or directory
localInstall.sh: line 26: /root/Desktop/mmlpi.desktop: No such file or directory
localInstall.sh: line 27: /root/Desktop/mmlpi.desktop: No such file or directory
localInstall.sh: line 28: /root/Desktop/mmlpi.desktop: No such file or directory
chmod: cannot access '/root/Desktop/mmlpi.desktop': No such file or directory
====================
Permissions...
====================
====================
Done!
Start with Desktop Shortcut or
cd mmlpi
python3 mmlpi.py
When i try to do the command i get this error:

Code: Select all

ERROR: (Gentoo) Please run pip with the --user option to avoid breaking python-exec
ok, so just figured out the pip error but it still says that i dont have the requirements installed? without sudo it has the same error but with sudo it gives me the no tkinter installed?

Marekkon5
Posts: 31
Joined: Mon Sep 28, 2015 5:18 pm

Re: mmlpi - Minecraft Launcher for Raspberry Pi. Versions 1.0 - 1.12+ (+ OptiFine, Forge)

Wed Oct 02, 2019 9:47 am

Hello. I was successfull installing tkinter by editing
/etc/portage/make.conf and inserting dev-lang/python tk to the USE line.

Code: Select all

nano  /etc/portage/make.conf
USE="dev-lang/python tk"
emerge --newuse
It installed tkinter to python3.7 so i had to run then:

Code: Select all

python3.7 -m pip install --user -r requirements.txt

python3.7 mmlpi.py
I don't know if there is a better way to do this.
Golden_cookie wrote:
Wed Oct 02, 2019 12:48 am
Marekkon5 wrote:
Tue Oct 01, 2019 4:49 am
Try running

Code: Select all

sudo python3 -m pip install -r requirements.txt
I will clean up the code and make it work on Gentoo later.

Golden_cookie wrote:
Sun Sep 29, 2019 10:44 pm


Can you please tell me what to do so i can make it work on gentoo?
also, this is what happened during install:

Code: Select all

 % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100   361  100   361    0     0    989      0 --:--:-- --:--:-- --:--:--  1071
====================
Running apt update
====================
* apt is not available for icedtea-8 on aarch64
* IMPORTANT: some Java tools are not available on some VMs on some architectures
====================
Installing Git
====================
* apt is not available for icedtea-8 on aarch64
* IMPORTANT: some Java tools are not available on some VMs on some architectures
====================
Clonning Repo...
====================
Cloning into 'mmlpi'...
remote: Enumerating objects: 54, done.
remote: Counting objects: 100% (54/54), done.
remote: Compressing objects: 100% (43/43), done.
Unpacking objects:  62% (34/54)
 remote: Total 54 (delta 20), reused 45 (delta 11), pack-reused 0
Unpacking objects: 100% (54/54), done.
====================
Installing Dependencies
====================
* apt is not available for icedtea-8 on aarch64
* IMPORTANT: some Java tools are not available on some VMs on some architectures
* apt is not available for icedtea-8 on aarch64
* IMPORTANT: some Java tools are not available on some VMs on some architectures
 ERROR: (Gentoo) Please run pip with the --user option to avoid breaking python-exec
ERROR: (Gentoo) Please run pip with the --user option to avoid breaking python-exec
====================
Installing Java
====================
Java Already Installed!
====================
Creating Shortcut
====================
localInstall.sh: line 20: /root/Desktop/mmlpi.desktop: No such file or directory
localInstall.sh: line 21: /root/Desktop/mmlpi.desktop: No such file or directory
localInstall.sh: line 22: /root/Desktop/mmlpi.desktop: No such file or directory
localInstall.sh: line 23: /root/Desktop/mmlpi.desktop: No such file or directory
localInstall.sh: line 24: /root/Desktop/mmlpi.desktop: No such file or directory
localInstall.sh: line 25: /root/Desktop/mmlpi.desktop: No such file or directory
localInstall.sh: line 26: /root/Desktop/mmlpi.desktop: No such file or directory
localInstall.sh: line 27: /root/Desktop/mmlpi.desktop: No such file or directory
localInstall.sh: line 28: /root/Desktop/mmlpi.desktop: No such file or directory
chmod: cannot access '/root/Desktop/mmlpi.desktop': No such file or directory
====================
Permissions...
====================
====================
Done!
Start with Desktop Shortcut or
cd mmlpi
python3 mmlpi.py
When i try to do the command i get this error:

Code: Select all

ERROR: (Gentoo) Please run pip with the --user option to avoid breaking python-exec
ok, so just figured out the pip error but it still says that i dont have the requirements installed? without sudo it has the same error but with sudo it gives me the no tkinter installed?

Golden_cookie
Posts: 13
Joined: Sun Sep 08, 2019 12:55 am

Re: mmlpi - Minecraft Launcher for Raspberry Pi. Versions 1.0 - 1.12+ (+ OptiFine, Forge)

Wed Oct 02, 2019 11:00 pm

i copied and pasted each command, what do i do next?
it keeps saying i have all requirements
can someone make a video tutorial for gentoo?
(I still have the same errors)
Marekkon5 wrote:
Wed Oct 02, 2019 9:47 am
Hello. I was successfull installing tkinter by editing
/etc/portage/make.conf and inserting dev-lang/python tk to the USE line.

Code: Select all

nano  /etc/portage/make.conf
USE="dev-lang/python tk"
emerge --newuse
It installed tkinter to python3.7 so i had to run then:

Code: Select all

python3.7 -m pip install --user -r requirements.txt

python3.7 mmlpi.py
I don't know if there is a better way to do this.
Golden_cookie wrote:
Wed Oct 02, 2019 12:48 am
Marekkon5 wrote:
Tue Oct 01, 2019 4:49 am
Try running

Code: Select all

sudo python3 -m pip install -r requirements.txt
I will clean up the code and make it work on Gentoo later.


When i try to do the command i get this error:

Code: Select all

ERROR: (Gentoo) Please run pip with the --user option to avoid breaking python-exec
ok, so just figured out the pip error but it still says that i dont have the requirements installed? without sudo it has the same error but with sudo it gives me the no tkinter installed?

Golden_cookie
Posts: 13
Joined: Sun Sep 08, 2019 12:55 am

Re: mmlpi - Minecraft Launcher for Raspberry Pi. Versions 1.0 - 1.12+ (+ OptiFine, Forge)

Fri Oct 04, 2019 1:20 am

ok, so i somehow fixed the problem and the launcher and all of the versions are working correctly. I dont know what i did, i kept trying the same command and it magically worked. But now i have a bigger issue: How do i uninstall openjdk? i want to install oracle so it runs a bit better but since apt does not work i can't use the Purge command! please someone help!

Marekkon5
Posts: 31
Joined: Mon Sep 28, 2015 5:18 pm

Re: mmlpi - Minecraft Launcher for Raspberry Pi. Versions 1.0 - 1.12+ (+ OptiFine, Forge)

Sat Oct 05, 2019 2:52 pm

I updated my launcher. Added Gentoo support (including Oracle Java), rewrote whole install script.

Golden_cookie
Posts: 13
Joined: Sun Sep 08, 2019 12:55 am

Re: mmlpi - Minecraft Launcher for Raspberry Pi. Versions 1.0 - 1.12+ (+ OptiFine, Forge)

Sat Oct 05, 2019 5:20 pm

Does it delete openjdk?
Marekkon5 wrote:
Sat Oct 05, 2019 2:52 pm
I updated my launcher. Added Gentoo support (including Oracle Java), rewrote whole install script.

Marekkon5
Posts: 31
Joined: Mon Sep 28, 2015 5:18 pm

Re: mmlpi - Minecraft Launcher for Raspberry Pi. Versions 1.0 - 1.12+ (+ OptiFine, Forge)

Sat Oct 05, 2019 6:11 pm

No, it doesn't. But it sets Oracle Java as the main Java, so you don't have to uninstall it.
Golden_cookie wrote:
Sat Oct 05, 2019 5:20 pm
Does it delete openjdk?
Marekkon5 wrote:
Sat Oct 05, 2019 2:52 pm
I updated my launcher. Added Gentoo support (including Oracle Java), rewrote whole install script.

Golden_cookie
Posts: 13
Joined: Sun Sep 08, 2019 12:55 am

Re: mmlpi - Minecraft Launcher for Raspberry Pi. Versions 1.0 - 1.12+ (+ OptiFine, Forge)

Sat Oct 05, 2019 8:20 pm

ok, so the install now goes without errors but when i try to run it i have a new error, no tqdm installed. when i pip installed it it kept saying i already have it.
i dont know how to post images but when i do sudo python3.7 mmlpi.py it gives me no tqdm installed and sudo python3 mmlpi.py gives me no tkinter installed even though i have both installed.

also, during install i had this error in orange

Code: Select all

 The script tqdm is installed in '/root/.local/bin' which is not on PATH.
  Consider adding this directory to PATH or, if you prefer to suppress this warning, use --no-warn-script-location.
quote=Marekkon5 post_id=1547436 time=1570299076 user_id=160693]
No, it doesn't. But it sets Oracle Java as the main Java, so you don't have to uninstall it.
Golden_cookie wrote:
Sat Oct 05, 2019 5:20 pm
Does it delete openjdk?
Marekkon5 wrote:
Sat Oct 05, 2019 2:52 pm
I updated my launcher. Added Gentoo support (including Oracle Java), rewrote whole install script.
[/quote]

Marekkon5
Posts: 31
Joined: Mon Sep 28, 2015 5:18 pm

Re: mmlpi - Minecraft Launcher for Raspberry Pi. Versions 1.0 - 1.12+ (+ OptiFine, Forge)

Sat Oct 05, 2019 8:40 pm

On Gentoo the pip dependencies have to be installed as user. Try starting python3 mmlpi.py without sudo.

If you wish to use Python3.7 run:

Code: Select all

python3.7 -m pip install --user -r requirements.txt
To install the new dependencies. Then try python3.7 mmlpi.py
Golden_cookie wrote:
Sat Oct 05, 2019 8:20 pm
ok, so the install now goes without errors but when i try to run it i have a new error, no tqdm installed. when i pip installed it it kept saying i already have it.
i dont know how to post images but when i do sudo python3.7 mmlpi.py it gives me no tqdm installed and sudo python3 mmlpi.py gives me no tkinter installed even though i have both installed.

also, during install i had this error in orange

Code: Select all

 The script tqdm is installed in '/root/.local/bin' which is not on PATH.
  Consider adding this directory to PATH or, if you prefer to suppress this warning, use --no-warn-script-location.
quote=Marekkon5 post_id=1547436 time=1570299076 user_id=160693]
No, it doesn't. But it sets Oracle Java as the main Java, so you don't have to uninstall it.
Golden_cookie wrote:
Sat Oct 05, 2019 5:20 pm
Does it delete openjdk?
Marekkon5 wrote:
Sat Oct 05, 2019 2:52 pm
I updated my launcher. Added Gentoo support (including Oracle Java), rewrote whole install script.
[/quote]

Golden_cookie
Posts: 13
Joined: Sun Sep 08, 2019 12:55 am

Re: mmlpi - Minecraft Launcher for Raspberry Pi. Versions 1.0 - 1.12+ (+ OptiFine, Forge)

Sat Oct 05, 2019 8:48 pm

same error in orange, when i do python3 mmlpi.py (without sudo) it still gives me no tqdm installed

if i do python3.7 mmlpi.py it gives me the no permissions to the /home/****/mmlpi/minecraft directory and with sudo it gives me no tkinter installed, and last but not least if i do python3 with sudo it gives me the no tkinter installed





Marekkon5 wrote:
Sat Oct 05, 2019 8:40 pm
On Gentoo the pip dependencies have to be installed as user. Try starting python3 mmlpi.py without sudo.

If you wish to use Python3.7 run:

Code: Select all

python3.7 -m pip install --user -r requirements.txt
To install the new dependencies. Then try python3.7 mmlpi.py
Golden_cookie wrote:
Sat Oct 05, 2019 8:20 pm
ok, so the install now goes without errors but when i try to run it i have a new error, no tqdm installed. when i pip installed it it kept saying i already have it.
i dont know how to post images but when i do sudo python3.7 mmlpi.py it gives me no tqdm installed and sudo python3 mmlpi.py gives me no tkinter installed even though i have both installed.

also, during install i had this error in orange

Code: Select all

 The script tqdm is installed in '/root/.local/bin' which is not on PATH.
  Consider adding this directory to PATH or, if you prefer to suppress this warning, use --no-warn-script-location.
quote=Marekkon5 post_id=1547436 time=1570299076 user_id=160693]
No, it doesn't. But it sets Oracle Java as the main Java, so you don't have to uninstall it.
Golden_cookie wrote:
Sat Oct 05, 2019 5:20 pm
Does it delete openjdk?

[/quote]

Marekkon5
Posts: 31
Joined: Mon Sep 28, 2015 5:18 pm

Re: mmlpi - Minecraft Launcher for Raspberry Pi. Versions 1.0 - 1.12+ (+ OptiFine, Forge)

Sat Oct 05, 2019 8:57 pm

try

Code: Select all

chmod -R 777 ../mmlpi
Then python3.7 mmlpi.py (without sudo).

Golden_cookie wrote:
Sat Oct 05, 2019 8:48 pm
same error in orange, when i do python3 mmlpi.py (without sudo) it still gives me no tqdm installed

if i do python3.7 mmlpi.py it gives me the no permissions to the /home/****/mmlpi/minecraft directory and with sudo it gives me no tkinter installed, and last but not least if i do python3 with sudo it gives me the no tkinter installed





Marekkon5 wrote:
Sat Oct 05, 2019 8:40 pm
On Gentoo the pip dependencies have to be installed as user. Try starting python3 mmlpi.py without sudo.

If you wish to use Python3.7 run:

Code: Select all

python3.7 -m pip install --user -r requirements.txt
To install the new dependencies. Then try python3.7 mmlpi.py
Golden_cookie wrote:
Sat Oct 05, 2019 8:20 pm
ok, so the install now goes without errors but when i try to run it i have a new error, no tqdm installed. when i pip installed it it kept saying i already have it.
i dont know how to post images but when i do sudo python3.7 mmlpi.py it gives me no tqdm installed and sudo python3 mmlpi.py gives me no tkinter installed even though i have both installed.

also, during install i had this error in orange

Code: Select all

 The script tqdm is installed in '/root/.local/bin' which is not on PATH.
  Consider adding this directory to PATH or, if you prefer to suppress this warning, use --no-warn-script-location.
quote=Marekkon5 post_id=1547436 time=1570299076 user_id=160693]
No, it doesn't. But it sets Oracle Java as the main Java, so you don't have to uninstall it.

[/quote]

Golden_cookie
Posts: 13
Joined: Sun Sep 08, 2019 12:55 am

Re: mmlpi - Minecraft Launcher for Raspberry Pi. Versions 1.0 - 1.12+ (+ OptiFine, Forge)

Wed Oct 09, 2019 5:43 am

i have 3 bugs,
1. in the tools section the monitor tool is not working
2. the "Your Pi" is stating that im not using a pi
3. it is saying im still using openjdk

User avatar
AnSor1118
Posts: 2
Joined: Wed Dec 04, 2019 7:29 pm
Location: Warrensburg, MO

Re: mmlpi - Minecraft Launcher for Raspberry Pi. Versions 1.0 - 1.12+ (+ OptiFine, Forge)

Thu Dec 05, 2019 9:35 pm

I cannot run minecraft version 1.14.3 + OptiFine with the libraries that jdonald used. I get this crash report.

---- Minecraft Crash Report ----
// I bet Cylons wouldn't have this problem.

Time: 12/4/19 3:43 PM
Description: Initializing game

java.lang.UnsatisfiedLinkError: Failed to locate library: liblwjgl32.so
at org.lwjgl.system.Library.loadSystem(Library.java:147)
at org.lwjgl.system.Library.loadSystem(Library.java:67)
at org.lwjgl.system.Library.<clinit>(Library.java:50)
at org.lwjgl.system.MemoryUtil.<clinit>(MemoryUtil.java:97)
at org.lwjgl.system.Pointer$Default.<clinit>(Pointer.java:67)
at cuh.a(MainWindow.java:123)
at com.mojang.blaze3d.platform.GLX.initGlfw(SourceFile:191)
at cvo.au(SourceFile:459)
at cvo.b(SourceFile:395)
at net.minecraft.client.main.Main.main(SourceFile:154)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
at java.lang.reflect.Method.invoke(Method.java:498)
at net.minecraft.launchwrapper.Launch.launch(Launch.java:159)
at net.minecraft.launchwrapper.Launch.main(Launch.java:30)


A detailed walkthrough of the error, its code path and all known details is as follows:
---------------------------------------------------------------------------------------

-- Head --
Thread: Client thread
Stacktrace:
at org.lwjgl.system.Library.loadSystem(Library.java:147)
at org.lwjgl.system.Library.loadSystem(Library.java:67)
at org.lwjgl.system.Library.<clinit>(Library.java:50)
at org.lwjgl.system.MemoryUtil.<clinit>(MemoryUtil.java:97)
at org.lwjgl.system.Pointer$Default.<clinit>(Pointer.java:67)
at cuh.a(MainWindow.java:123)
at com.mojang.blaze3d.platform.GLX.initGlfw(SourceFile:191)
at cvo.au(SourceFile:459)

-- Initialization --
Details:
Stacktrace:
at cvo.b(SourceFile:395)
at net.minecraft.client.main.Main.main(SourceFile:154)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
at java.lang.reflect.Method.invoke(Method.java:498)
at net.minecraft.launchwrapper.Launch.launch(Launch.java:159)
at net.minecraft.launchwrapper.Launch.main(Launch.java:30)

-- System Details --
Details:
Minecraft Version: 1.14.3
Operating System: Linux (arm) version 4.19.86-v7l+
Java Version: 1.8.0_212, Oracle Corporation
Java VM Version: OpenJDK Client VM (mixed mode), Oracle Corporation
Memory: 24345160 bytes (23 MB) / 229257216 bytes (218 MB) up to 1060372480 bytes (1011 MB)
JVM Flags: 5 total; -Xmn128M -Xmx1024M -XX:+UseConcMarkSweepGC -XX:+CMSIncrementalMode -XX:-UseAdaptiveSizePolicy
Launched Version: 1.14.3-OptiFine_HD_U_F2
LWJGL: 3.2.2 build 10
OpenGL: ~~ERROR~~ NoClassDefFoundError: Could not initialize class org.lwjgl.system.Library
GL Caps:
Using VBOs: Yes
Is Modded: Very likely; Jar signature invalidated
Type: Client (map_client.txt)
Resource Packs:
Current Language: ~~ERROR~~ NullPointerException: null
CPU: <unknown>
OptiFine Version: OptiFine_1.14.3_HD_U_F2
OptiFine Build: 20190720-172543
Render Distance Chunks: 8
Mipmaps: 4
Anisotropic Filtering: 1
Antialiasing: 0
Multitexture: false
Shaders: null
OpenGlVersion: null
OpenGlRenderer: null
OpenGlVendor: null
CpuCount: 4
Never give up,
AS

Return to “Gaming”